Bug 197786 - [PATCH] math/pspp: Bump PORTREVISION, take maintainership
Summary: [PATCH] math/pspp: Bump PORTREVISION, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-18 13:47 UTC by Carlos J Puga Medina
Modified: 2015-03-01 16:47 UTC (History)
2 users (show)

See Also:
cjpm: maintainer-feedback+


Attachments
pspp.diff (25.32 KB, patch)
2015-02-18 13:47 UTC, Carlos J Puga Medina
no flags Details | Diff
pspp.diff (2.14 KB, patch)
2015-02-24 23:56 UTC, Carlos J Puga Medina
no flags Details | Diff
alternative version (2.61 KB, patch)
2015-02-28 23:58 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J Puga Medina 2015-02-18 13:47:40 UTC
Created attachment 153144 [details]
pspp.diff

- Bump PORTREVISION.
- Strip shared objects.
- Add DOCS as configure option.
- Fix pkg-plist.
- Take maintainership.

I use this port, so I want to maintain it. Q/A tests will be provided soon as attachment.

% portlint -ac
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 1 warning found.
Comment 1 Jan Beich freebsd_committer 2015-02-24 14:11:04 UTC
Are you still interested in maintaining the port? This bugs lacks any non-obsoleted patches.
Comment 2 Carlos J Puga Medina 2015-02-24 23:56:32 UTC
Created attachment 153492 [details]
pspp.diff

Good patch attached.
Comment 3 Carlos J Puga Medina 2015-02-24 23:57:25 UTC
(In reply to Jan Beich from comment #1)

Yes! I'm still interested to maintain this port :)
Comment 4 Carlos J Puga Medina 2015-02-25 00:11:48 UTC
Build log on 11-CURRENT/i386

https://fbsd.es/~cpm/freebsd/logs/pspp-0.8.4_1.log
Comment 5 Jan Beich freebsd_committer 2015-02-28 23:58:51 UTC
Created attachment 153632 [details]
alternative version

Maybe also install Emacs mode for syntax highlightling and facilitating indentation/commenting in .sps files.

>+OPTIONS_DEFAULT=	DOCS NLS

Already there, see Mk/bsd.options.mk.

>+post-install:
>+.for f in libpspp libpspp-core
>+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/${PORTNAME}/${f}-${PORTVERSION}.so
>+.endfor
>+
>+.if ${PORT_OPTIONS:MGUI}
>+	${STRIP_CMD} ${STAGEDIR}${PREFIX}/lib/glade3/modules/libglade-psppire.so.0.0.0

Why? install-strip is enough or you can simplify the following

  GUI_INSTALL_TARGET=	install-strip ...
  GUI_INSTALL_TARGET_OFF=	install-strip

into

  INSTALL_TARGET=	install-strip

  GUI_INSTALL_TARGET=	...

> +DOCS=	ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS ONEWS \
> +	README THANKS TODO
> +
[...]
> +	${MKDIR} ${STAGEDIR}${DOCSDIR}
> +	cd ${WRKSRC} && ${INSTALL_DATA} ${DOCS} ${STAGEDIR}${DOCSDIR}
[...]
> +%%PORTDOCS%%%%DOCSDIR%%/ABOUT-NLS
> +%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
> +%%PORTDOCS%%%%DOCSDIR%%/COPYING
> +%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
> +%%PORTDOCS%%%%DOCSDIR%%/INSTALL
> +%%PORTDOCS%%%%DOCSDIR%%/NEWS
> +%%PORTDOCS%%%%DOCSDIR%%/ONEWS
> +%%PORTDOCS%%%%DOCSDIR%%/README
> +%%PORTDOCS%%%%DOCSDIR%%/THANKS
> +%%PORTDOCS%%%%DOCSDIR%%/TODO

Unless you want to keep everything in one place at the expense of
listing installed files several times the above can be simplified to:

  PORTDOCS=	AUTHORS ChangeLog NEWS ONEWS README THANKS TODO

          (cd ${WRKSRC} && ${COPYTREE_SHARE} \
                  "${PORTDOCS}" ${STAGEDIR}${DOCSDIR})

ABOUT-NLS is generic help-file from gettext.

COPYING is redundant because LICENSE=GPLv3 already installs
/usr/ports/Templates/Licenses/GPLv3.

INSTALL is pointless for people using the FreeBSD port/package and
not trying to figure out how to compile pspp themselves.
Comment 6 commit-hook freebsd_committer 2015-03-01 16:41:59 UTC
A commit references this bug:

Author: jbeich
Date: Sun Mar  1 16:41:26 UTC 2015
New revision: 380210
URL: https://svnweb.freebsd.org/changeset/ports/380210

Log:
  - Install more DOCS [1]
  - Install Emacs mode [2]
  - Simplify INSTALL_TARGET [2]
  - Unbreak build when NLS=off [2]
  - Pass maintainership [1]

  PR:		197786
  Submitted by:	Carlos Jacobo Puga Medina <cpm@fbsd.es> [1]
  Approved by:	Carlos Jacobo Puga Medina <cpm@fbsd.es> [2]

Changes:
  head/math/pspp/Makefile
  head/math/pspp/pkg-plist
Comment 7 Jan Beich freebsd_committer 2015-03-01 16:44:06 UTC
Thanks. Committed.
Comment 8 Jan Beich freebsd_committer 2015-03-01 16:47:17 UTC
Comment on attachment 153632 [details]
alternative version

Cancelling maintainer-approval over maintainer-feedback+. Bug 197656 should have fixed maintainer-approval for non-committers, so the next time try using it instead.